<?php
require($_SERVER['DOCUMENT_ROOT'] . "/outofprint_v2/config/config.php");
require(OCI_FNX);
db_connect();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Add Accounts for Custom OOP Report</title>
<link href="../scripts/oop.css" rel="stylesheet" type="text/css" />
<script src="../scripts/common.js" type="text/javascript"></script>
<script src="../scripts/mhr_tooltip.js" type="text/javascript"></script>
<script src="../scripts/sorttable.js" type="text/javascript"></script>
<?php

if (isset($_GET['delid'])) {
	$id = clean($_GET['delid']);
	if (!is_numeric($id)) exit();
	
	$sql = "delete from WEB_OUT_OF_PRINT_CUSTOM where ACCOUNT_ID='".$id."'";
	$stmt = db_query($sql);
	
	if ($stmt) {
		jsAlert("Successfully Deleted");	
	} else {
		jsAlert("Could not delete that Account, please try again.");	
	}
} elseif (isset($_GET['subscribe'])) {
	$id = clean($_GET['subscribe']);
	if (!is_numeric($id)) exit();
	
	$sql = "update WEB_OUT_OF_PRINT_CUSTOM SET UNSUBSCRIBE='N' where ACCOUNT_ID='".$id."'";
	$stmt = db_query($sql);
	if ($stmt) {
		jsAlert("Successfully Subscribed.");	
	} else {
		jsAlert("Could not Subscribe that Account, please try again.");	
	}

} elseif (isset($_GET['statid']) && isset($_GET['status'])) {
	$id = clean($_GET['statid']);
	$status = clean($_GET['status']);
	
	if (!is_numeric($id)) exit();
	
	$sql = "update WEB_OUT_OF_PRINT_CUSTOM SET STATUS=".$status." where ACCOUNT_ID='".$id."'";
	$stmt = db_query($sql);
	if ($stmt) {
		jsAlert("Status Changed");	
	} else {
		jsAlert("Could not Change Status, please try again.");	
	}

} elseif (isset($_GET['unsubscribe'])) {
	$id = clean($_GET['unsubscribe']);
	if (!is_numeric($id)) exit();

	$sql = "update WEB_OUT_OF_PRINT_CUSTOM SET UNSUBSCRIBE='Y' where ACCOUNT_ID='".$id."'";
	$stmt = db_query($sql);
	if ($stmt) {
		jsAlert("Successfully Unsubscribed.");	
	} else {
		jsAlert("Could not Unsubscribe that Account, please try again.");	
	}

} elseif (isset($_GET['resend'])) {
	// resends the OOP report to this specific address
	resendOOP(NULL, 'custom', clean($_GET['resend']));
	
}



?>
</head>

<body>
<!-- Tooltip div -->
<div id="tooltipmsg" class="get-rows"></div>
<!-- Tooltip div -->

<div id="header">
<img src="../images/mhp_4c_c_p_01.jpg" width="990" height="78" />
</div>
<?php include(DOCU_HOST . "/templates/admin_nav.php"); ?>

<br />
<br />
<div id="body-container">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td class="header1">OUT OF PRINT REPORT - View Custom Accounts</td>
    </tr>
  </table>
  <br />
<?php
	$sql = "SELECT DISTINCT COUNT (*) SUBSCRIBED,
                (SELECT COUNT (*)
                   FROM WEB_OUT_OF_PRINT_CUSTOM
                  WHERE UNSUBSCRIBE = 'Y') UNSUBSCRIBED,
                (SELECT COUNT (*)
                   FROM WEB_OUT_OF_PRINT_CUSTOM
                  WHERE STATUS = 0) STATUS
           FROM WEB_OUT_OF_PRINT_CUSTOM
          WHERE UNSUBSCRIBE = 'N'
       GROUP BY UNSUBSCRIBE";
				   
	$stmt = db_query($sql);
	$results = db_results($stmt);
	echo 'There are <strong>'.$results['SUBSCRIBED'][0].'</strong> Subscribed Accounts and <strong>'.$results['UNSUBSCRIBED'][0].'</strong> Unsubscribed Accounts. <strong>'.$results['STATUS'][0].'</strong> accounts were also disabled because of bounce back.';
?>
<br />
To sort Columns, click on the column Headings.
<br />
<br />

<form method="post" action="">  
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="hover-rows sortable">
  <tr align="center" valign="middle" class="header2">
    <td>Account Number</td>
    <td>Bill To / Ship To</td>
    <td>Name</td>
    <td>E-Mail Address</td>
    <td>The Report</td>
    <td>Subscription</td>
    <td>Resend Notification</td>
    <td>Last Notify</td>
    <td>Options</td>
    <td>Status</td>
  </tr>
<?php 
	
	$sql = "select * from WEB_OUT_OF_PRINT_CUSTOM ORDER BY ACCOUNT_ID DESC";
	$stmt = db_query($sql);
	
	while ($results = oci_fetch_array ($stmt)) {
		$class = '';
		if ($results['UNSUBSCRIBE'] != "N") $class = ' class="unsubscribed"';
		if ($results['STATUS'] == 0) $class = ' class="disabled"';

		$billtoorshipto = 1;
		if ($results['BILLTO_OR_SHIPTO'] == "B") $billtoorshipto = 2;
		
		$data_counts = customer_data_count($results['ACCOUNT_NUMBER'], $billtoorshipto);

		echo '
		  <tr '.$class.'>
			<td align="center" valign="top" class="txt10">'.$results['ACCOUNT_NUMBER'].'</td>
			<td align="center" valign="top" class="txt10">'.$results['BILLTO_OR_SHIPTO'].'</td>
			<td valign="top" class="txt10">'.$results['CUSTOMER_NAME'].'</td>
			<td valign="top" class="txt10">'.$results['E_MAIL'].'</td>
			<td align="center" valign="top" class="txt10">
			[<a href="/outofprint_v2/client-oop.php?q='.$results['HASHED_ACCOUNT_NUMBER'].',90,'.$billtoorshipto.'" onMouseOver="javascript:getRows(event, \'Rows: '.$data_counts[0].'\');" onMouseOut="hidetip();">90</a> | <a href="/outofprint_v2/client-oop.php?q='.$results['HASHED_ACCOUNT_NUMBER'].',12,'.$billtoorshipto.'" onMouseOver="javascript:getRows(event, \'Rows: '.$data_counts[1].'\');" onMouseOut="hidetip();">365</a>]
			[CSV <a href="/outofprint_v2/export-client-oop.php?q='.$results['HASHED_ACCOUNT_NUMBER'].',90,'.$billtoorshipto.',csv">90</a> | <a href="/outofprint_v2/export-client-oop.php?q='.$results['HASHED_ACCOUNT_NUMBER'].',12,'.$billtoorshipto.',csv">365</a>]
			[EXCEL <a href="/outofprint_v2/export-client-oop.php?q='.$results['HASHED_ACCOUNT_NUMBER'].',90,'.$billtoorshipto.',xls">90</a> | <a href="/outofprint_v2/export-client-oop.php?q='.$results['HASHED_ACCOUNT_NUMBER'].',12,'.$billtoorshipto.',xls">365</a>]</td>
			';
		
		if ($results['UNSUBSCRIBE'] != "N") {
			echo '<td align="center" valign="top" class="txt10"><a href="?subscribe='.$results['ACCOUNT_ID'].'">subscribe</a></td>';
			echo '<td align="center" valign="top" class="txt10">Resend</td>';	
		} else {
			echo '<td align="center" valign="top" class="txt10"><a href="?unsubscribe='.$results['ACCOUNT_ID'].'">unsubscribe</a></td>';
			echo '<td align="center" valign="top" class="txt10"><a href="?resend='.$results['ACCOUNT_ID'].'">Resend</a></td>';
		}
		echo '
			<td align="center" valign="top" class="txt10">'.$results['LAST_NOTIFY'].'</td>
			<td align="center" valign="top" class="txt10"><a href="?delid='.$results['ACCOUNT_ID'].'">Delete</a> | <a href="javascript:void(0);" onclick="javascript:window.open(\'edit_custom.php?editid='.$results['ACCOUNT_ID'].'\',\'edit\',\'fullscreen=no,scrollbars=no,height=200,width=400\');">Edit</a></td>';
		
		if ($results['STATUS'] == 0) {
			echo '<td align="center" class="txt10" valign="top"><a href="?statid='.$results['ACCOUNT_ID'].'&status=1">Activate</a></td>';
		} else {
			echo '<td align="center" class="txt10" valign="top"><a href="?statid='.$results['ACCOUNT_ID'].'&status=0">Disable</a></td>';
		}
				  
		echo '</tr>';
	}

?>
</table>
</form>
</div>
</body>
</html>
