<?php
/*
	CREATED BY: YASSER KHAN
	DATE: Dec 07 - Feb 08
	SHOWS CUSTOMER SPECIFIC INFO

*/
require($_SERVER['DOCUMENT_ROOT'] . "/outofprint_v2/config/config.php");
require(OCI_FNX);

$query = trim(strip_tags($_GET['q']));
$exploded_query = explode (",", $query);


// get the hashed Acount Number, the period and bill to or ship to
$hashedAcountNumber = $exploded_query[0];
$period = $exploded_query[1];
$billto_or_shipto = $exploded_query[2];


	db_connect();
	
	if ($period == 90) {
		$sql_and_statement = "AND OUT_OF_PRINT_DATE >= SYSDATE-90";
	} else {
		$sql_and_statement = NULL;
	}

		
	//exit the page if the account number is invalid
	if (getAccountNumber($hashedAcountNumber)) {
		$accountNumber = getAccountNumber($hashedAcountNumber);
		if ($billto_or_shipto == 1) {
			$billtoorshipto = 'ship';
		} else {
			$billtoorshipto = 'bill';
		}
		
		
		
		// exit the page if the account number is invalid
		/*
			THIS CHECK HAS BEEN TURNED OFF
			BECAUSE CURRENTLY THE DATA NEEDED TO 
			VERIFY ACCOUNT NUMBERS IS NOT INCLUDED
			IN THE WEB_OUT_OF_PRINT TABLE IF THE CUSTOMER
			DOESNOT HAVE ANY TITLES GOOP or OOP
			
			RUSSELL needs to make all of these account numbers
			available so that the App can validate them regardless
			of there being any data
			
		if (!checkAccount($accountNumber, $billtoorshipto)) {
			echo $_oopConfig['msg001'];
			sendErrorMail("checkAccount failed on $accountNumber");
			exit();
		}
		*/
		
		
		
	} else {
		echo $_oopConfig['msg001'];
		sendErrorMail("getAccountNumber failed on $hashedAcountNumber");
		exit();
	}
	
	// shipt to = 1 and billto = 2
	if ($billto_or_shipto == "1") {
	
	$sql = "
SELECT DISTINCT DECODE (B.ISBN_13, NULL, 'N', 'Y') FOUND_ISBN, A.ISBN_10, A.ISBN,
         A.EDITION, A.TITLE, A.AUTHOR, A.ITEM_STATUS, A.OUT_OF_PRINT_DATE,
         A.PUBLICATION_DATE, A.ISBN_SUB, A.TITLE_SUB, A.EDITION_SUB,
        
		 SHIP_PARTY_NAME ACCOUNT_NAME,
                                      A.AUTHOR_SUB
    FROM CANADA_LOAD.WEB_OUT_OF_PRINT A, (SELECT DISTINCT ISBN_13
                                                     FROM CANADA_LOAD.QUICK_SEARCH
                                                 GROUP BY ISBN_13) B
   WHERE 1 = 1
		 " . $sql_and_statement . "
		
		 AND SHIP_ACCOUNT_NUMBER = '". $accountNumber ."'
	 
     AND A.ISBN_SUB = B.ISBN_13(+)
     AND NVL (A.CORE_OR_SUPPLEMENT, '~') <> 'S'
ORDER BY ITEM_STATUS, OUT_OF_PRINT_DATE DESC";

	} else {

	$sql = "
SELECT DISTINCT DECODE (B.ISBN_13, NULL, 'N', 'Y') FOUND_ISBN, A.ISBN_10, A.ISBN,
         A.EDITION, A.TITLE, A.AUTHOR, A.ITEM_STATUS, A.OUT_OF_PRINT_DATE,
         A.PUBLICATION_DATE, A.ISBN_SUB, A.TITLE_SUB, A.EDITION_SUB,
        
         BILL_PARTY_NAME ACCOUNT_NAME,
                                      A.AUTHOR_SUB
    FROM CANADA_LOAD.WEB_OUT_OF_PRINT A, (SELECT DISTINCT ISBN_13
                                                     FROM CANADA_LOAD.QUICK_SEARCH
                                                 GROUP BY ISBN_13) B
   WHERE 1 = 1
		 " . $sql_and_statement . "
		
        AND BILL_ACCOUNT_NUMBER = '". $accountNumber ."'
	 
     AND A.ISBN_SUB = B.ISBN_13(+)
     AND NVL (A.CORE_OR_SUPPLEMENT, '~') <> 'S'
ORDER BY ITEM_STATUS, OUT_OF_PRINT_DATE DESC";
	

	}

	$stmt = db_query($sql);
	$nrows = db_num_rows($stmt);
	
	$_stmt = db_query($sql);
	$results = db_results($_stmt);	
	
	if ($results) {
		if (!isset($results['ACCOUNT_NAME'][0])) {
			$account_name = 'VALUED CUSTOMER';
		} else {
			$account_name = $results['ACCOUNT_NAME'][0];
		}
	} else {
		$account_name = 'VALUED CUSTOMER';
	}
	//$account_name = $results['ACCOUNT_NAME'][0];

	/*
		LOG USER ACTIVITY
	*/
	
	gatherUserStats('CUSTOM', $accountNumber);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>
<?php
if ($period == 90) {
	$date = date('F d, Y',mktime(0, 0, 0, date('m')-3, date('d'), date('Y')));
	echo "Out of Print Report - Past 90 Days from " . date("F d, Y") . " to " . $date;
} else {
	$date = date('F d, Y',mktime(0, 0, 0, date('m')-12, date('d'), date('Y')));
	echo "Out of Print Report - Past 12 Months from " . date("F d, Y") . " to " . $date;
}
?>
</title>
<script src="scripts/common.js" type="text/javascript"></script>
<script src="scripts/mhr_tooltip.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="scripts/oop.css" />
</head>

<body>

<!-- Tooltip div -->
<div id="tooltipmsg" class="tooltipmsg"></div>
<!-- Tooltip div -->

<div id="header">
<a href="http://www.mcgrawhill.ca" target="_blank"><img src="images/mhp_4c_c_p_01.jpg" width="990" height="78" border="0" /></a></div>

<br /><br />
<div class="title_">
<?php
if ($period == 90) {
	$date = date('F d, Y',mktime(date('H'), date('i'), date('s'), date('m')-3, date('d'), date('Y')));
	echo "<span class=title_2><strong>Out of Print Report</strong></span><br>".$account_name."<br>Past 90 Days from " . date("F d, Y") . " to " . $date;
} else {
	$date = date('F d, Y',mktime(date('H'), date('i'), date('s'), date('m')-12, date('d'), date('Y')));
	echo "<span class=title_2><strong>Out of Print Report</strong></span><br>".$account_name."<br>Past 12 months from " . date("F d, Y") . " to " . $date;
}
?>
</div>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<thead>
<tr>
    <td colspan="8" align="left" bgcolor="#FFFFFF">

    </td>
    <td colspan="5" class="subs">SUBSTITUTIONS</td>
</tr>
<tr>
<th width="110" align="center" nowrap="nowrap" class="header">ITEM STATUS</th>
<th width="70" align="center" nowrap="nowrap" class="header">OOP DATE</th>
<th width="130" align="center" nowrap="nowrap" class="header">ISBN</th>
<th width="100" align="center" nowrap="nowrap" class="header">MHE REFERENCE NO.</th>
<th width="90" align="center" nowrap="nowrap" class="header">AUTHOR</th>
<th align="center" nowrap="nowrap" class="header">TITLE</th>
<th width="60" align="center" nowrap="nowrap" class="header">EDITION</th>
<th width="120" align="center" nowrap="nowrap" class="header">PUBLICATION DATE</th>
<th width="100" align="center" nowrap="nowrap" class="header">ISBN</th>
<th width="100" align="center" nowrap="nowrap" class="header">AUTHOR</th>
<th align="center" nowrap="nowrap" class="header">&nbsp;</th>
<th align="center" nowrap="nowrap" class="header">TITLE</th>
<th width="80" align="center" nowrap="nowrap" class="header">EDITION</th>
</tr>
</thead>
<tbody class="txt10">
<?php
	
	$_results = $results;
	$_nrows = $nrows;
	
	if ($nrows >= 1) {
	
		$_SESSION['alt_cell_bg_counter'] = 1;
		
		
		$_SESSION['goop_counter'] = 0;
	
		for ($i=0;$i<=$_nrows-1;$i++) {
			
			// alternates the rows bg colours
			if ($_SESSION['alt_cell_bg_counter'] == 1) {
				$alt_bg = 2;
				$_SESSION['alt_cell_bg_counter'] = 2;
			} else {
				$alt_bg = 1;
				$_SESSION['alt_cell_bg_counter'] = 1;
			}
			
			// trim the author name down
			if (strlen($_results['AUTHOR'][$i]) > 20) {
				$_results['AUTHOR'][$i] = substr($_results['AUTHOR'][$i], 0, 15) . "...";
			}
			
			// replace Going Out of Pr with Going Out of Print
			if ($_results['ITEM_STATUS'][$i] == "Going Out of Pr") $_results['ITEM_STATUS'][$i] = "Going Out of Print";
			
			if ($_results['ITEM_STATUS'][$i] == "Going Out of Print") {
				
				echo '
	<tr class="cell_bg_'. $alt_bg .'">
	<td height="25" align="center" valign="top" nowrap="nowrap">'. nbsp($_results['ITEM_STATUS'][$i]) .'</td>
	<td align="center" valign="top">'. nbsp($_results['OUT_OF_PRINT_DATE'][$i]) .'</td>
	<td align="center" valign="top">'. nbsp($_results['ISBN'][$i]) .'</td>
	<td align="center" valign="top">'. nbsp($_results['ISBN_10'][$i]) .'</td>
	<td align="center" valign="top">'. nbsp($_results['AUTHOR'][$i]) .'</td>
	<td valign="top">'. nbsp($_results['TITLE'][$i]) .'</td>
	<td align="center" valign="top">'. nbsp($_results['EDITION'][$i]) .'</td>
	<td align="center" valign="top">'. nbsp($_results['PUBLICATION_DATE'][$i]) .'</td>
	<td align="center" valign="top">'. found_isbn(1, $_results['FOUND_ISBN'][$i], $_results['ISBN_SUB'][$i]). '</td>
	<td align="center" valign="top">'. nbsp($_results['AUTHOR_SUB'][$i]) .'</td>
	<td valign="top">'. found_isbn(3, $_results['FOUND_ISBN'][$i], $_results['ISBN_SUB'][$i], $_results['TITLE_SUB'][$i], $i) . '</td>
	<td valign="top">'. found_isbn(2, $_results['FOUND_ISBN'][$i], $_results['ISBN_SUB'][$i], $_results['TITLE_SUB'][$i], $i) . '</td>
	<td align="center" valign="top">'. nbsp($_results['EDITION_SUB'][$i]) .'</td>
	</tr>';
				$_SESSION['goop_counter'] = 1;	
			} else {
				if ($_SESSION['goop_counter'] == 1) {
					echo '<tr><td colspan="13" height="5" bgcolor="#ACACAC"></td></tr>';
					$_SESSION['goop_counter'] = 0;
				}
				echo '
	<tr class="cell_bg_'. $alt_bg .'">
	<td height="25" align="center" valign="top" nowrap="nowrap">'. nbsp($_results['ITEM_STATUS'][$i]) .'</td>
	<td align="center" valign="top">'. nbsp($_results['OUT_OF_PRINT_DATE'][$i]) .'</td>
	<td align="center" valign="top">'. nbsp($_results['ISBN'][$i]) .'</td>
	<td align="center" valign="top">'. nbsp($_results['ISBN_10'][$i]) .'</td>
	<td align="center" valign="top">'. nbsp($_results['AUTHOR'][$i]) .'</td>
	<td valign="top">'. nbsp($_results['TITLE'][$i]) .'</td>
	<td align="center" valign="top">'. nbsp($_results['EDITION'][$i]) .'</td>
	<td align="center" valign="top">'. nbsp($_results['PUBLICATION_DATE'][$i]) .'</td>
	<td align="center" valign="top">'. found_isbn(1, $_results['FOUND_ISBN'][$i], $_results['ISBN_SUB'][$i]). '</td>
	<td align="center" valign="top">'. nbsp($_results['AUTHOR_SUB'][$i]) .'</td>
	<td valign="top">'. found_isbn(3, $_results['FOUND_ISBN'][$i], $_results['ISBN_SUB'][$i], $_results['TITLE_SUB'][$i], $i) . '</td>
	<td valign="top">'. found_isbn(2, $_results['FOUND_ISBN'][$i], $_results['ISBN_SUB'][$i], $_results['TITLE_SUB'][$i], $i) . '</td>
	<td align="center" valign="top">'. nbsp($_results['EDITION_SUB'][$i]) .'</td>
	</tr>';
			}
		}
	} else {
		$error = $_oopConfig['msg002'];
	}

oci_close($conn);
?>
</tbody>
</table>
<?php
if (isset($error)) echo $error;
?>
<br />
<br />
<hr />
<div align="center"><a href="http://www.mcgrawhill.ca/privacy/index.php">Privacy Notice</a> - <a href="http://www.mcgraw-hill.com/copyrttm.htm" target="_blank">Terms of Use</a></div>
</body>
</html>
