<?php
require($_SERVER['DOCUMENT_ROOT'] . "/outofprint_v2/config/config.php");
require(OCI_FNX);
db_connect();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Add Accounts for Custom OOP Report</title>
<link href="../scripts/oop.css" rel="stylesheet" type="text/css" />
</head>

<body>
<div id="header">
<img src="../images/mhp_4c_c_p_01.jpg" width="990" height="78" />
</div>
<?php include("../templates/admin_nav.php"); ?>

<br />
<br />
<div id="body-container">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td class="header1">OUT OF PRINT REPORT - Add Custom Accounts</td>
    </tr>
  </table>
<?php
if (isset($_POST['Submit'])) {
	
	if (strlen($_POST['accountno']) < 3) {
		echo $_oopConfig['msg008'];
	} else {
		// split the account info by line into arrays
		$accountno    = readtoarray("\n", $_POST['accountno']);
		$billtoshipto = readtoarray("\n", $_POST['billtoshipto']);
		$name         = readtoarray("\n", $_POST['name']);
		$email        = readtoarray("\n", $_POST['email']);
		
		
		// to remember incase user has to go back and edit something
		$_SESSION['accountno_txt']    = $_POST['accountno'];
		$_SESSION['billtoshipto_txt'] = $_POST['billtoshipto'];
		$_SESSION['name_txt']         = $_POST['name'];
		$_SESSION['email_txt']        = $_POST['email'];
		
		// to pass on to the add routine
		$_SESSION['accountno']    = $accountno;
		$_SESSION['billtoshipto'] = $billtoshipto;
		$_SESSION['name']         = $name;
		$_SESSION['email']        = $email;
	
		
		echo '<br />
		Rows highlighted in red already exist in the database. If you proceed they will be ignored.<br />Rows highlighted in yellow are either invalid or have zero titles GOP or OOP.<br /><br />
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="hover-rows">
		  <tr>
			<td width="100" align="center" class="header2">Account #</td>
			<td width="100" align="center" class="header2">Bill to / Ship to</td>
			<td align="center" class="header2">Contact Name</td>
			<td align="center" class="header2">Account Name</td>
			<td align="center" class="header2">E-mail</td>
		  </tr>';
		  
		$num_accounts = count($accountno);
		for ($i=0;$i<$num_accounts;$i++) {

			$billto_or_shipto = 1;
			if ($billtoshipto[$i] == "B") $billto_or_shipto = 2;
			
			$class = '';
			if (!checkAccount($accountno[$i], $billto_or_shipto)) {
				$class = 'class="non-account"';
			}
			
			if (!checkDuplicateEntry($accountno[$i], $email[$i], $billtoshipto[$i])) $class = 'class="dupemail"';
			
			echo '
			  <tr '.$class.'>
				<td align="center" valign="top">'.$accountno[$i].'</td>
				<td align="center" valign="top">'.$billtoshipto[$i].'</td>
				<td align="center" valign="top">'.$name[$i].'</td>';
			
			if (!checkDuplicateEntry($accountno[$i], $email[$i], $billtoshipto[$i])) {
				echo '<td align="center" valign="top">'.get_account_name($accountno[$i], $billto_or_shipto).' <strong>[DUPLICATE, will be ignored.]</strong></td>';
			} else {
				echo '<td align="center" valign="top">'.get_account_name($accountno[$i], $billto_or_shipto).'</td>';
			}
	
			if (checkEmail($email[$i])) {
				echo '<td align="center" valign="top">'.$email[$i].'</td></tr>';
			} else {
				echo '<td align="center" valign="top">'.$email[$i].' <strong>[INVALID EMAIL?]</strong></td></tr>';
			}
			
		}
		
		echo '<tr>
			<td colspan="5" align="right">
			<form method="post" action="">
			<input type="button" name="button" id="button" value="Cancel" onclick="javascript:window.history.go(-1);" />
			<input type="submit" name="Add" id="Add" value="Add to Database" />
			</form>
			</td>
			</tr>
			</table>';
	}
	
} elseif (isset($_POST['Add'])) { // add to db
	$counter = 0;
	$num_accounts = count($_SESSION['accountno']);
	
	for ($i=0;$i<$num_accounts;$i++) {
		
		// checking account has been disabled until Russell ports all account numbers over to the canprod.web_out_of_print table
		// sept 10 2008 
		//if (checkAccount($_SESSION['accountno'][$i], $_SESSION['billtoshipto'][$i]) && checkDuplicateEntry($_SESSION['accountno'][$i], $_SESSION['email'][$i])) {
		if (checkDuplicateEntry($_SESSION['accountno'][$i], $_SESSION['email'][$i], $_SESSION['billtoshipto'][$i])) {
			
			$nextAcountID = getNextVal("WEB_OUT_OF_PRINT_CUSTOM_SEQ");
			
			$data = array(
							'ACCOUNT_ID'            => '',
							'ACCOUNT_NUMBER'        => clean($_SESSION['accountno'][$i]),
							'E_MAIL'                => clean($_SESSION['email'][$i]),
							'HASHED_ACCOUNT_ID'     => hash('sha1', $nextAcountID + 1),
							'BILLTO_OR_SHIPTO'      => clean($_SESSION['billtoshipto'][$i]),
							'UNSUBSCRIBE'           => "N",
							'CUSTOMER_NAME'         => clean($_SESSION['name'][$i]),
							'HASHED_ACCOUNT_NUMBER' => hash('sha1', clean($_SESSION['accountno'][$i])),
							'LAST_NOTIFY'			=> date("d/M/y")
							
						);
			
			$stmt = db_perform('WEB_OUT_OF_PRINT_CUSTOM', $data, 'insert');

			if (!$stmt) {
				echo "Unable to add account # ".$_SESSION['accountno'][$i]."<br>";
			} else {
				echo "Successfully added account # ".$_SESSION['accountno'][$i]."<br>";
				$counter++;
			}
		
		}
		
	}
	if (!$counter) {
		echo 'No accounts to add! <a href="?">Go Back</a>';
	}

} else {
?>
<br />
Instructions: Copy and Paste rows of data from Excel directly into the corresponding columns below. 
   Please note the this application will warn you if any account is invalid.<br />
<?php
	$sql = "SELECT DISTINCT COUNT (*) SUBSCRIBED,
                (SELECT COUNT (*)
                   FROM WEB_OUT_OF_PRINT_CUSTOM
                  WHERE UNSUBSCRIBE = 'Y') UNSUBSCRIBED,
                (SELECT COUNT (*)
                   FROM WEB_OUT_OF_PRINT_CUSTOM
                  WHERE STATUS = 0) STATUS
           FROM WEB_OUT_OF_PRINT_CUSTOM
          WHERE UNSUBSCRIBE = 'N'
       GROUP BY UNSUBSCRIBE";
				   
	$stmt = db_query($sql);
	$results = db_results($stmt);
	echo 'There are <strong>'.$results['SUBSCRIBED'][0].'</strong> Subscribed Accounts and <strong>'.$results['UNSUBSCRIBED'][0].'</strong> Unsubscribed Accounts. <strong>'.$results['STATUS'][0].'</strong> accounts were also disabled because of bounce back.';
?>
<br />
<br />

<form method="post" action="">  
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="110" align="center" valign="middle" class="header2">Account Number</td>
    <td width="100" align="center" valign="middle" class="header2">Bill To/Ship To</td>
    <td width="200" align="center" valign="middle" class="header2">Contact Name</td>
    <td align="center" valign="middle" class="header2">E-Mail Address</td>
  </tr>
  <tr>
    <td align="center" valign="top"><textarea name="accountno" rows="20" wrap="off" id="accountno"><?php if (isset($_SESSION['accountno_txt'])) echo $_SESSION['accountno_txt']; ?></textarea></td>
    <td align="center" valign="top"><textarea name="billtoshipto" rows="20" wrap="off" id="billtoshipto"><?php if (isset($_SESSION['billtoshipto_txt'])) echo $_SESSION['billtoshipto_txt']; ?></textarea></td>
    <td align="center" valign="top"><textarea name="name" rows="20" wrap="off" id="name"><?php if (isset($_SESSION['name_txt'])) echo $_SESSION['name_txt']; ?></textarea></td>
    <td align="center" valign="top"><textarea name="email" rows="20" wrap="off" id="email"><?php if (isset($_SESSION['email_txt'])) echo $_SESSION['email_txt']; ?></textarea></td>
  </tr>
  <tr>
    <td colspan="5" align="right" valign="top"><input type="submit" name="Submit" id="Submit" value="Preview" /></td>
    </tr>
</table>
</form><?php
}
?>
</div>
</body>
</html>
