<?php
require($_SERVER['DOCUMENT_ROOT'] . "/outofprint_v2/config/config.php");
require(OCI_FNX);
db_connect();


if (isset($_GET['delid'])) {
	$id = clean($_GET['delid']);
	if (!is_numeric($id)) exit();
	
	$sql = "delete from WEB_OUT_OF_PRINT_NOTIFY where ID='".$id."'";
	$stmt = db_query($sql);
	
	if ($stmt) {
		jsAlert("Successfully Deleted");
	} else {
		jsAlert("Could not delete that Account, please try again.");	
	}
} elseif (isset($_GET['subscribe'])) {
	$id = clean($_GET['subscribe']);
	if (!is_numeric($id)) exit();

	$sql = "update WEB_OUT_OF_PRINT_NOTIFY SET UNSUBSCRIBE='N' where ID='".$id."'";
	$stmt = db_query($sql);
	if ($stmt) {
		jsAlert("Successfully Subscribed.");	
	} else {
		jsAlert("Could not Subscribe that Account, please try again.");	
	}

} elseif (isset($_GET['statid']) && isset($_GET['status'])) {
	$id = clean($_GET['statid']);
	$status = clean($_GET['status']);

	if (!is_numeric($id)) exit();

	$sql = "update WEB_OUT_OF_PRINT_NOTIFY SET STATUS=".$status." where ID='".$id."'";
	$stmt = db_query($sql);
	if ($stmt) {
		jsAlert("Status Changed");	
	} else {
		jsAlert("Could not Change Status, please try again.");	
	}

} elseif (isset($_GET['unsubscribe'])) {
	$id = clean($_GET['unsubscribe']);
	if (!is_numeric($id)) exit();

	$sql = "update WEB_OUT_OF_PRINT_NOTIFY SET UNSUBSCRIBE='Y' where ID='".$id."'";
	$stmt = db_query($sql);
	if ($stmt) {
		jsAlert("Successfully Unsubscribed.");	
	} else {
		jsAlert("Could not Unsubscribe that Account, please try again.");	
	}

} elseif (isset($_GET['resend'])) {
	// resends the OOP report to this specific address
	resendOOP(clean($_GET['resend']), 'public');

}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Add Accounts for Public OOP Report</title>
<link href="../scripts/oop.css" rel="stylesheet" type="text/css" />
<script src="../scripts/common.js" type="text/javascript"></script>
<script src="../scripts/mhr_tooltip.js" type="text/javascript"></script>
<script src="../scripts/sorttable.js" type="text/javascript"></script>
</head>

<body>
<div id="header">
<img src="../images/mhp_4c_c_p_01.jpg" width="990" height="78" />
</div>
<?php include("../templates/admin_nav.php"); ?>
<br />
<br />
<div id="body-container">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td class="header1">OUT OF PRINT REPORT - View Public Accounts</td>
    </tr>
  </table>
  <br />
<?php
	$sql = "SELECT DISTINCT COUNT (*) SUBSCRIBED,
                (SELECT COUNT (*)
                   FROM WEB_OUT_OF_PRINT_NOTIFY
                  WHERE UNSUBSCRIBE = 'Y') UNSUBSCRIBED,
                (SELECT COUNT (*)
                   FROM WEB_OUT_OF_PRINT_NOTIFY
                  WHERE STATUS = 0) STATUS
           FROM WEB_OUT_OF_PRINT_NOTIFY
          WHERE UNSUBSCRIBE = 'N'
       GROUP BY UNSUBSCRIBE";
				   
	$stmt = db_query($sql);
	$results = db_results($stmt);
	echo 'There are <strong>'.$results['SUBSCRIBED'][0].'</strong> Subscribed Accounts and <strong>'.$results['UNSUBSCRIBED'][0].'</strong> Unsubscribed Accounts. <strong>'.$results['STATUS'][0].'</strong> accounts were also disabled because of bounce back.';
?>

<form method="post" action="">  
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="hover-rows sortable">
  <tr>
    <td align="center" valign="middle" class="header2">E-Mail Address</td>
    <td width="80" align="center" valign="middle" class="header2">Subscribtion</td>
    <td width="150" align="center" valign="middle" class="header2">Resend Notification</td>
    <td width="90" align="center" valign="middle" class="header2">Last Notify</td>
    <td width="80" align="center" valign="middle" class="header2">Options</td>
    <td width="80" align="center" valign="middle" class="header2">Status</td>
  </tr>
<?php 
	
	$sql = "select * from WEB_OUT_OF_PRINT_NOTIFY ORDER BY ID DESC";
	$stmt = db_query($sql);
	
	while ($results = oci_fetch_array ($stmt)) {
		$class = '';
		if ($results['UNSUBSCRIBE'] != "N") $class = ' class="unsubscribed"';
		if ($results['STATUS'] == 0) $class = ' class="disabled"';
		echo '
		  <tr '.$class.'>
			<td valign="top">'.$results['E_MAIL'].'</td>';
		
		if ($results['UNSUBSCRIBE'] != "N") {
			echo '<td align="center" valign="top"><a href="?subscribe='.$results['ID'].'">subscribe</a></td>';
			echo '<td align="center" valign="top">Resend</td>';
		} else {
			echo '<td align="center" valign="top"><a href="?unsubscribe='.$results['ID'].'">unsubscribe</a></td>';
			echo '<td align="center" valign="top"><a href="?resend='.$results['E_MAIL'].'">Resend</a></td>';
		}
		echo '
			<td align="center" valign="top">'.$results['LAST_NOTIFY'].'</td>
			<td align="center" valign="top"><a href="?delid='.$results['ID'].'">Delete</a> | <a href="javascript:void(0);" onclick="javascript:window.open(\'edit_public.php?editid='.$results['ID'].'\',\'edit\',\'fullscreen=no,scrollbars=no,height=200,width=400\');">Edit</a></td>';
		
		if ($results['STATUS'] == 0) {
			echo '<td align="center" valign="top"><a href="?statid='.$results['ID'].'&status=0">Activate</a></td>';
		} else {
			echo '<td align="center" valign="top"><a href="?statid='.$results['ID'].'&status=0">Disable</a></td>';
		}
		
		echo '</tr>';
	}

?>
</table>
</form>
</div>
</body>
</html>
